org.apache.cassandra.config

## Enum CFMetaData.SpeculativeRetry.RetryType

- java.lang.Object
- - java.lang.Enum<CFMetaData.SpeculativeRetry.RetryType>
  - - org.apache.cassandra.config.CFMetaData.SpeculativeRetry.RetryType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CFMetaData.SpeculativeRetry.RetryType>

Enclosing class:
  CFMetaData.SpeculativeRetry

    public static enum CFMetaData.SpeculativeRetry.RetryType
    extends java.lang.Enum<CFMetaData.SpeculativeRetry.RetryType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALWAYS`
`CUSTOM`
`NONE`
`PERCENTILE`

### Method Summary

All Methods Static Methods Concrete Methods
`static CFMetaData.SpeculativeRetry.RetryType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CFMetaData.SpeculativeRetry.RetryType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final CFMetaData.SpeculativeRetry.RetryType NONE

#### CUSTOM

    public static final CFMetaData.SpeculativeRetry.RetryType CUSTOM

#### PERCENTILE

    public static final CFMetaData.SpeculativeRetry.RetryType PERCENTILE

#### ALWAYS

    public static final CFMetaData.SpeculativeRetry.RetryType ALWAYS

### Method Detail

#### values

    public static CFMetaData.SpeculativeRetry.RetryType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CFMetaData.SpeculativeRetry.RetryType c : CFMetaData.SpeculativeRetry.RetryType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CFMetaData.SpeculativeRetry.RetryType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null